(function (root, factory) {
    'use strict';

    if (typeof define === 'function' && define.amd) {
        define(['jquery'], factory);
    } else if (typeof exports === 'object'
        && typeof module !== 'undefined'
        && typeof require === 'function'
    ) {
        module.exports = factory(require('jquery'));
    } else {
        factory(root.jQuery);
    }
})(this, function ($) {
    'use strict';

    $(document)
        .ready(function () {
            // small fix of the wc-user-search field
            $('.wcpd .wc-customer-search option[selected]')
                .attr('selected', false)
                .prop('selected', true);
        })

        .on('added.item.dataTable.wcpd', function () {
            // reInit woocommerce js actions
            $(document.body).trigger('wc-enhanced-select-init');
        });
});
