<?php
/**
 * Plugin Name: WooCommerce Products Dependencies
 * Description: Set product availability depends on items in the cart
 * Version: 2.1.0
 * Author: پرشین اسکریپت
 * Author URI: https://www.persianscript.ir
 * Text Domain: woocommerce-products-dependencies
 * Domain Path: /languages/
 * Requires at least: 4.5
 * Requires PHP: 5.5
 * WC requires at least: 2.4
 * WC tested up to: 5.2.2
 */

namespace {

    if (!defined('WC_PRODUCTS_DEPENDENCIES_VERSION')) {
        define('WC_PRODUCTS_DEPENDENCIES_VERSION', '2.1.0');
    }

    if (!defined('WC_PRODUCTS_DEPENDENCIES_PLUGIN_PATH')) {
        define('WC_PRODUCTS_DEPENDENCIES_PLUGIN_PATH', plugin_dir_path(__FILE__));
    }

    if (!defined('WC_PRODUCTS_DEPENDENCIES_PLUGIN_URL')) {
        define('WC_PRODUCTS_DEPENDENCIES_PLUGIN_URL', plugin_dir_url(__FILE__));
    }

    if (!defined('WC_PRODUCTS_DEPENDENCIES_DEBUG')) {
        if (defined('SCRIPT_DEBUG')) {
            define('WC_PRODUCTS_DEPENDENCIES_DEBUG', SCRIPT_DEBUG);
        } else {
            define('WC_PRODUCTS_DEPENDENCIES_DEBUG', false);
        }
    }

    require_once('includes/classes/Core.php');
}

namespace WCProductsDependencies {

    if (!function_exists(__NAMESPACE__  . '\Instance')) {
        function Instance()
        {
            return Core::instance();
        }
    } else {
        add_filter('admin_notices', function () {
            ?>
            <div class="notice notice-warning is-dismissible">
                <p><strong><?php
                        esc_html_e(
                            'WooCommerce Products Dependencies is enabled a few times',
                            'woocommerce-products-dependencies'
                        );
                        ?></strong></p>
                <p><?php
                    // phpcs:disable
                    esc_html_e(
                        'A few WooCommerce Products Dependencies plugins are enabled at once. Keep enabled only one of them.',
                        'woocommerce-products-dependencies'
                    );
                    // phpcs:enable
                    ?></p>
            </div>
            <?php
        });
    }

    $GLOBALS['WCProductsDependencies'] = Instance();
}
